/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.fleet;

import java.util.ArrayList;
import java.util.List;
import nl.cloudfarming.client.farm.FarmProject;
import org.netbeans.api.project.Project;
import org.netbeans.spi.project.ui.support.NodeFactory;
import org.netbeans.spi.project.ui.support.NodeFactorySupport;
import org.netbeans.spi.project.ui.support.NodeList;
import org.openide.nodes.Node;

/**
 *
 * @author Maciek Dulkiewicz& Wytse Visser
 */
@NodeFactory.Registration(projectType = FarmProject.PROJECT_TYPE)
public class FleetNodeFactory implements NodeFactory {

    @Override
    public NodeList<?> createNodes(Project project) {
    	//in case, there wont be added more nodes, this could be better 
    	return NodeFactorySupport.fixedNodeList(new FleetNode(project));
    }
}
